Bug 10259 - Forwarding codes not supported (e.g. set up google voice as your voice-mail)
: Forwarding codes not supported (e.g. set up google voice as your voice-mail)
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Call Application UI
: 5.0:(10.2010.19-1)
: N900 Maemo
: Unspecified enhancement with 1 vote (vote)
: ---
Assigned To: rtcomm@maemo.org
: call-ui-bugs
: http://wiki.howardforums.com/index.ph...
:
:
:
  Show dependency tree
 
Reported: 2010-05-25 08:30 UTC by Adam
Modified: 2012-03-24 11:37 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Adam (reporter) 2010-05-25 08:30:16 UTC
SOFTWARE VERSION:
Whatever

EXACT STEPS LEADING TO PROBLEM: 
Conditional forwarding codes not supported (e.g. set up google voice as your
voice-mail) see
http://wiki.howardforums.com/index.php/T-Mobile_Conditional_Call_Forwarding

1. Open phone app
2. type *#21# <send>
3. 

EXPECTED OUTCOME:
show status of conditional forwarding
ACTUAL OUTCOME:
"Service code not supported"
REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
Comment 1 Andre Klapper maemo.org 2010-05-25 11:16:17 UTC
Hi,

this should be fixed once the next public update ("PR1.2") is available.
Please recheck in a few days if it works for you.

*** This bug has been marked as a duplicate of bug 5357 ***
Comment 2 Adam (reporter) 2010-05-25 11:26:27 UTC
Just tested on PR1.2, and I got "Service code not supported"!
Comment 3 Andre Klapper maemo.org 2010-05-25 11:32:40 UTC
Are you in the UK?
This is about T-Mobile, right?
Comment 4 Adam (reporter) 2010-05-25 11:45:06 UTC
T-mobile USA. But it works on my other phone...
Comment 5 Andre Klapper maemo.org 2010-05-25 11:47:06 UTC
If you are in the US you cannot have PR1.2.
Comment 6 Andre Klapper maemo.org 2010-05-25 11:54:21 UTC
> SOFTWARE VERSION:
> Whatever

So please specify your exact version...
Comment 7 Adam (reporter) 2010-05-25 12:12:04 UTC
Also some more codes:
http://wiki.howardforums.com/index.php/T-Mobile_Tips_%26_Tricks

Just used the codes given by google voice
##004# to deactivate the voicemail forwarding
*004*17181234567#  - activate where 1718... is the number of the forward
destination

And in both cases, the same result.
Comment 8 Adam (reporter) 2010-05-25 12:12:58 UTC
10.2010.19-1.002
Comment 9 Adam (reporter) 2010-05-25 12:19:40 UTC
I'm in US, and I've downloaded PR1.2 from tablets-dev... tonight and flashed my
N900. Simple as that.
Comment 10 Andre Klapper maemo.org 2010-05-27 00:32:05 UTC
Not planned to support this -> enhancement
Comment 11 Andre Klapper maemo.org 2010-06-02 13:57:01 UTC
Can you check whether editing ~/.osso/call-ui.ini works around this? See
https://bugs.maemo.org/show_bug.cgi?id=8830#c8
Comment 12 Andre Klapper maemo.org 2012-03-24 11:37:58 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )